import scipy.linalg as la
import numpy as np
import sys
from math import*


# Main program for starting Newton's method on systems.
def main():
    X0 = np.zeros((2,1))
    X0[0] = float(sys.argv[1])
    X0[1] = float(sys.argv[2])
    tol = 10**(-14)
    err = np.Inf
    while err > tol:
        X1 = X0-la.solve(J(X0),F(X0))
        e = abs(X1-X0)
        err = sqrt(e[0]**2+e[1]**2)
        X0 = X1
    print(X0)


# Equation to be solved.
def F(X):
    F = np.zeros((2,1))
    F[0] = X[0]**2+X[1]**2-1
    F[1] = X[0]**3-X[1]
    return F


# The first derivative.
def J(X):
    J = np.zeros((2,2))
    J[0][0] = 2*X[0]
    J[0][1] = 2*X[1]
    J[1][0] = 3*X[0]**2
    J[1][1] = -1
    return J


main()
